Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.apache.commons.compress.compressors.pack200
Enum Pack200Strategy

    java.lang.Object
      java.lang.Enum<Pack200Strategy>
          org.apache.commons.compress.compressors.pack200.Pack200Strategy

All Implemented Interfaces:
  Serializable, Comparable<Pack200Strategy>

    public enum Pack200Strategy

extends Enum<Pack200Strategy>

The different modes the Pack200 streams can use to wrap input and output.

Since:
  Apache Commons Compress 1.3

Enum Constant Summary
`IN_MEMORY` Cache output in memory
`TEMP_FILE` Cache output in a temporary file

Method Summary
`static Pack200Strategy` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static Pack200Strategy[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### IN_MEMORY

    public static final Pack200Strategy IN_MEMORY

  Cache output in memory

### TEMP_FILE

    public static final Pack200Strategy TEMP_FILE

  Cache output in a temporary file

Method Detail

### values

    public static Pack200Strategy[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (Pack200Strategy c : Pack200Strategy.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static Pack200Strategy valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2011 The Apache Software Foundation. All Rights Reserved.